Invoke Skill Memos Expert Prepare
post
/api/v1/skills/memos.expert.prepare/invokePrepare a litigation expert report β damages, loss quantification, opinion.
Request bodyapplication/json
| Field | Type | Description |
|---|---|---|
client_id | string (uuid) | null | β |
matter_type | "damages" | "loss_quantification" | "valuation_dispute" | "fraud_opinion" | "professional_negligence" | βdamagesloss_quantificationvaluation_disputefraud_opinionprofessional_negligence |
file_ids | string (uuid)[] | β |
scenariorequired | string | β |
jurisdiction | "AU" | "GB" | "CA" | "US" | "NZ" | null | β |
professional_standard | string | null | β |
Responses
200Skill executed successfully
| Field | Type | Description | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
skillrequired | string | β | ||||||||||||||||||||||||||||||
outputrequired | object | βshow nested
| ||||||||||||||||||||||||||||||
correlation_idrequired | string | β |
401Authentication required
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
403Insufficient permissions
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
404Skill not found
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
429Rate limit exceeded
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
5XXInternal server error
| Field | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
errorrequired | object | βshow nested
|
curl https://api.dev.arch.ie/api/v1/skills/memos.expert.prepare/invoke \
-X POST \
-H "Authorization: Bearer sk_..." \
-H "Content-Type: application/json" \
-d '{
"client_id": null,
"matter_type": "damages",
"file_ids": [
"00000000-0000-0000-0000-000000000000"
],
"scenario": "string",
"jurisdiction": null,
"professional_standard": null
}'